function DATAinsert = cellMakerSM(IDcentralina,DTcatena,NodeNum,cSM,ListaDate,...
    ARRAYdate_SM,DatiStress,DatiNTCStress,ChSM,SM_NTC,ErrStressMeter)

DATAinsert = cell(ListaDate,8);
for ii=1:ListaDate
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_SM(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_SM(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiStress(ii,cSM);
    if ChSM(cSM) >= 2
        if SM_NTC(cSM) == 1
            DATAinsert{ii,7} = DatiNTCStress(ii,cSM);
        end
    end
    DATAinsert{ii,8} = ErrStressMeter(ii,cSM);
end

end
